Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"a99f07e0-8841-4b2c-a370-858cbbdba920","url":null,"stageId":"d176279d-e250-42bc-9075-3f25921a7cf6","stageUrl":null,"fillingId":"87302632-b4dd-42f7-96be-d154e0e1524e","fillingUrl":null,"userId":"3f064929-a80d-4831-bd41-241937e5ca64","userUrl":null,"status":"Approved","reviewDateTime":"2026-09-30T14:16:24.6681285+00:00","creationDateTime":"2026-09-30T14:16:24.6681285+00:00","lastModifiedDateTime":"2026-10-02T14:16:24.6681285+00:00"},{"id":"d1161a0e-8455-4ba1-9605-c616b3073c79","url":null,"stageId":"a630ceda-b84e-4116-a140-26d910069356","stageUrl":null,"fillingId":"aba0c6ef-aa81-40b7-8a50-0324f72eb822","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-09-30T14:16:24.6681285+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string